Package org.lwjgl.opengl

# Class ARBSparseBuffer

java.lang.Object
org.lwjgl.opengl.ARBSparseBuffer

public final class ARBSparseBuffer extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_SPARSE_BUFFER_PAGE_SIZE_ARB`
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:
`static final int`
`GL_SPARSE_STORAGE_BIT_ARB`
Accepted as part of the the <flags> parameter to BufferStorage

## Method Summary

Modifier and Type
Method
Description
`static void`
`glBufferPageCommitmentARB(int target, long offset, long size, boolean commit)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_SPARSE_STORAGE_BIT_ARB

public static final int GL_SPARSE_STORAGE_BIT_ARB
Accepted as part of the the <flags> parameter to BufferStorage

See Also:
  - Constant Field Values

### GL_SPARSE_BUFFER_PAGE_SIZE_ARB

public static final int GL_SPARSE_BUFFER_PAGE_SIZE_ARB
Accepted by the <pname> parameter of GetBooleanv, GetDoublev, GetFloatv, GetIntegerv, and GetInteger64v:

See Also:
  - Constant Field Values

## Method Details

### glBufferPageCommitmentARB

public static void glBufferPageCommitmentARB(int target, long offset, long size, boolean commit)